Get billing config
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"fees": [
{
"name": "<string>",
"feePercent": 50,
"description": "<string>"
}
],
"currency": "<string>",
"country": "<string>",
"defaultNetDays": 123,
"payoutDetails": {
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"inherited": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront Billing
Get billing config
Get the billing configuration for the Seller Account: payout setup status, masked payout bank details, platform fee, additional fees, payout currency, and payment terms.
GET
/
billing
Get billing config
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/billing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/billing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/billing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"billing": {
"onboardingStatus": "pending",
"platformFeePercent": 123,
"fees": [
{
"name": "<string>",
"feePercent": 50,
"description": "<string>"
}
],
"currency": "<string>",
"country": "<string>",
"defaultNetDays": 123,
"payoutDetails": {
"beneficiaryName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"accountNumberLast4": "<string>",
"bankIdentifierType": "FEDWIRE_ABA",
"bankIdentifierValue": "<string>",
"completedAt": "2023-11-07T05:31:56Z"
},
"inherited": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Direct child customer to read or update from an authorized parent billing organization
Pattern:
^[1-9][0-9]*$Response
Get billing config
Seller Account billing configuration. Seller Account billing setup is optional only for official Scope3 sales-adapter accounts on existing downstream platform settlement agreements. Third-party sales agents and Agent-supplied (finished-product) sources are normal Interchange-cleared Seller Account sources and still require payout bank details. Seller-cleared settlement is not yet configurable for normal Seller Accounts.
Show child attributes
Show child attributes